Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb.dom
Class XDBElement

`java.lang.Object
oracle.xdb.dom.XDBNode
oracle.xdb.dom.XDBElement`

All Implemented Interfaces:
  Element, Node

Deprecated. as of Oracle Database 11g release 1, use oracle.xml.parser.v2.XMLElement

      public class XDBElement

extends XDBNode
implements Element

Field Summary

Fields inherited from class oracle.xdb.dom.XDBNode
`m_conn, m_owner, m_xobcstate`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`XDBElement(XDBDocument owner, long xob)` Deprecated.

Method Summary
`java.lang.String` `getAttribute(java.lang.String attr)` Deprecated. Retrieves an attribute value by name.
`Attr` `getAttributeNode(java.lang.String attr)` Deprecated. Retrieves an attribute node by name.
`Attr` `getAttributeNodeNS(java.lang.String namespaceURI, java.lang.String localName)` Deprecated. Retrieves an `Attr` node by local name and namespace URI.
`java.lang.String` `getAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Deprecated. Retrieves an attribute value by local name and namespace URI.
`XDBNodeList` `getChildrenByTagName(java.lang.String tagName)` Deprecated. get the children node list based on the tag name
`XDBNodeList` `getChildrenByTagNameNS(java.lang.String tagName, java.lang.String ns)` Deprecated. get the children node list based on the tag name
`NodeList` `getElementsByTagName(java.lang.String tag)` Deprecated. Returns a `NodeList` of all descendant `Elements` with a given tag name, in the order in which they are encountered in a preorder traversal of this `Element` tree.
`NodeList` `getElementsByTagNameNS(java.lang.String nsURI, java.lang.String tag)` Deprecated. Returns a `NodeList` of all the descendant `Elements` with a given local name and namespace URI in the order in which they are encountered in a preorder traversal of this `Element` tree.
`TypeInfo` `getSchemaTypeInfo()` Deprecated.
`java.lang.String` `getTagName()` Deprecated. The name of the element.
`boolean` `hasAttribute(java.lang.String name)` Deprecated. Returns `true` when an attribute with a given name is specified on this element or has a default value, `false` otherwise.
`boolean` `hasAttributeNS(java.lang.String nsURI, java.lang.String name)` Deprecated. Returns `true` when an attribute with a given local name and namespace URI is specified on this element or has a default value, `false` otherwise.
`void` `removeAttribute(java.lang.String attr)` Deprecated. Removes an attribute by name.
`Attr` `removeAttributeNode(Attr oldattr)` Deprecated. Removes the specified attribute node.
`void` `removeAttributeNS(java.lang.String namespaceURI, java.lang.String localName)` Deprecated. Removes an attribute by local name and namespace URI.
`java.lang.String` `resolveNSPrefix(java.lang.String prefix)` Deprecated.
`void` `setAttribute(java.lang.String name, java.lang.String attr)` Deprecated. Adds a new attribute.
`Attr` `setAttributeNode(Attr newattr)` Deprecated. Adds a new attribute node.
`Attr` `setAttributeNodeNS(Attr newAttr)` Deprecated. Adds a new attribute.
`void` `setAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value)` Deprecated. Adds a new attribute.
`void` `setIdAttribute(java.lang.String name, boolean isId)` Deprecated.
`void` `setIdAttributeNode(Attr idAttr, boolean isId)` Deprecated.
`void` `setIdAttributeNS(java.lang.String namespaceURI, java.lang.String localName, boolean isId)` Deprecated.

Methods inherited from class oracle.xdb.dom.XDBNode

`appendChild, cloneNode, close, compareDocumentPosition, equals, finalize, getAttributes, getBaseURI, getChildNodes, getExpandedName, getFeature, getFirstChild, getInputStream, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeFromCState, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getPrimitiveType, getQualifiedName, getSchemaNode, getTextContent, getUserData, hasAttributes, hasChildNodes, hashCode, insertBefore, isClosed, isDefaultNamespace, isEqualNode, isNilled, isSameNode, isSchemaBased, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setNodeXob, setOwner, setPrefix, setTextContent, setUserData, setXobCstate, toCState, toString, validateName, write, writeToOutputStream`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### XDBElement

    public XDBElement(XDBDocument owner,
                      long xob)

  Deprecated.

Method Detail

### getTagName

    public java.lang.String getTagName()

  Deprecated.
  Description copied from interface: `Element`
  The name of the element. For example, in:

       <elementExample
       id="demo"> ... </elementExample> ,

  `tagName` has the value `"elementExample"`. Note that this is case-preserving in XML, as are all of the operations of the DOM. The HTML DOM returns the `tagName` of an HTML element in the canonical uppercase form, regardless of the case in the source HTML document.
  Specified by:
    `getTagName` in interface `Element`

### getAttribute

    public java.lang.String getAttribute(java.lang.String attr)

  Deprecated.
  Description copied from interface: `Element`
  Retrieves an attribute value by name.
  Specified by:
    `getAttribute` in interface `Element`
  Returns:
    The `Attr` value as a string, or the empty string if that attribute does not have a specified or default value.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.String attr)

  Deprecated.
  Description copied from interface: `Element`
  Adds a new attribute. If an attribute with that name is already present in the element, its value is changed to be that of the value parameter. This value is a simple string; it is not parsed as it is being set. So any markup (such as syntax to be recognized as an entity reference) is treated as literal text, and needs to be appropriately escaped by the implementation when it is written out. In order to assign an attribute value that contains entity references, the user must create an `Attr` node plus any `Text` and `EntityReference` nodes, build the appropriate subtree, and use `setAttributeNode` to assign it as the value of an attribute.
  To set an attribute with a qualified name and namespace URI, use the `setAttributeNS` method.
  Specified by:
    `setAttribute` in interface `Element`

### removeAttribute

    public void removeAttribute(java.lang.String attr)

  Deprecated.
  Description copied from interface: `Element`
  Removes an attribute by name. If the removed attribute is known to have a default value, an attribute immediately appears containing the default value as well as the corresponding namespace URI, local name, and prefix when applicable.
  To remove an attribute by local name and namespace URI, use the `removeAttributeNS` method.
  Specified by:
    `removeAttribute` in interface `Element`

### getAttributeNode

    public Attr getAttributeNode(java.lang.String attr)

  Deprecated.
  Description copied from interface: `Element`
  Retrieves an attribute node by name.
  To retrieve an attribute node by qualified name and namespace URI, use the `getAttributeNodeNS` method.
  Specified by:
    `getAttributeNode` in interface `Element`
  Returns:
    The `Attr` node with the specified name ( `nodeName`) or `null` if there is no such attribute.

### setAttributeNode

    public Attr setAttributeNode(Attr newattr)
                          throws DOMException

  Deprecated.
  Description copied from interface: `Element`
  Adds a new attribute node. If an attribute with that name ( `nodeName`) is already present in the element, it is replaced by the new one.
  To add a new attribute node with a qualified name and namespace URI, use the `setAttributeNodeNS` method.
  Specified by:
    `setAttributeNode` in interface `Element`
  Returns:
    If the `newAttr` attribute replaces an existing attribute, the replaced `Attr` node is returned, otherwise `null` is returned.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if `newAttr` was created from a different document than the one that created the element.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    INUSE_ATTRIBUTE_ERR: Raised if `newAttr` is already an attribute of another `Element` object. The DOM user must explicitly clone `Attr` nodes to re-use them in other elements.

### removeAttributeNode

    public Attr removeAttributeNode(Attr oldattr)

  Deprecated.
  Description copied from interface: `Element`
  Removes the specified attribute node. If the removed `Attr` has a default value it is immediately replaced. The replacing attribute has the same namespace URI and local name, as well as the original prefix, when applicable.
  Specified by:
    `removeAttributeNode` in interface `Element`
  Returns:
    The `Attr` node that was removed.

### getElementsByTagName

    public NodeList getElementsByTagName(java.lang.String tag)

  Deprecated.
  Description copied from interface: `Element`
  Returns a `NodeList` of all descendant `Elements` with a given tag name, in the order in which they are encountered in a preorder traversal of this `Element` tree.
  Specified by:
    `getElementsByTagName` in interface `Element`
  Returns:
    A list of matching `Element` nodes.

### getAttributeNS

    public java.lang.String getAttributeNS(java.lang.String namespaceURI,
                                           java.lang.String localName)

  Deprecated.
  Description copied from interface: `Element`
  Retrieves an attribute value by local name and namespace URI. HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `getAttributeNS` in interface `Element`
  Returns:
    The `Attr` value as a string, or the empty string if that attribute does not have a specified or default value.

### setAttributeNS

    public void setAttributeNS(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value)
                        throws DOMException

  Deprecated.
  Description copied from interface: `Element`
  Adds a new attribute. If an attribute with the same local name and namespace URI is already present on the element, its prefix is changed to be the prefix part of the `qualifiedName`, and its value is changed to be the `value` parameter. This value is a simple string; it is not parsed as it is being set. So any markup (such as syntax to be recognized as an entity reference) is treated as literal text, and needs to be appropriately escaped by the implementation when it is written out. In order to assign an attribute value that contains entity references, the user must create an `Attr` node plus any `Text` and `EntityReference` nodes, build the appropriate subtree, and use `setAttributeNodeNS` or `setAttributeNode` to assign it as the value of an attribute.
  HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `setAttributeNS` in interface `Element`
  Throws:
    `DOMException` - INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    NAMESPACE_ERR: Raised if the `qualifiedName` is malformed, if the `qualifiedName` has a prefix and the `namespaceURI` is `null`, if the `qualifiedName` has a prefix that is "xml" and the `namespaceURI` is different from " http://www.w3.org/XML/1998/namespace", or if the `qualifiedName` is "xmlns" and the `namespaceURI` is different from " http://www.w3.org/2000/xmlns/".

### removeAttributeNS

    public void removeAttributeNS(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws DOMException

  Deprecated.
  Description copied from interface: `Element`
  Removes an attribute by local name and namespace URI. If the removed attribute has a default value it is immediately replaced. The replacing attribute has the same namespace URI and local name, as well as the original prefix.
  HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `removeAttributeNS` in interface `Element`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.

### getAttributeNodeNS

    public Attr getAttributeNodeNS(java.lang.String namespaceURI,
                                   java.lang.String localName)

  Deprecated.
  Description copied from interface: `Element`
  Retrieves an `Attr` node by local name and namespace URI. HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `getAttributeNodeNS` in interface `Element`
  Returns:
    The `Attr` node with the specified attribute local name and namespace URI or `null` if there is no such attribute.

### setAttributeNodeNS

    public Attr setAttributeNodeNS(Attr newAttr)
                            throws DOMException

  Deprecated.
  Description copied from interface: `Element`
  Adds a new attribute. If an attribute with that local name and that namespace URI is already present in the element, it is replaced by the new one.
  HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `setAttributeNodeNS` in interface `Element`
  Returns:
    If the `newAttr` attribute replaces an existing attribute with the same local name and namespace URI, the replaced `Attr` node is returned, otherwise `null` is returned.
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if `newAttr` was created from a different document than the one that created the element.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this node is readonly.
    INUSE_ATTRIBUTE_ERR: Raised if `newAttr` is already an attribute of another `Element` object. The DOM user must explicitly clone `Attr` nodes to re-use them in other elements.

### getElementsByTagNameNS

    public NodeList getElementsByTagNameNS(java.lang.String nsURI,
                                           java.lang.String tag)

  Deprecated.
  Description copied from interface: `Element`
  Returns a `NodeList` of all the descendant `Elements` with a given local name and namespace URI in the order in which they are encountered in a preorder traversal of this `Element` tree.
  HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `getElementsByTagNameNS` in interface `Element`
  Returns:
    A new `NodeList` object containing all the matched `Elements`.

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

  Deprecated.
  Description copied from interface: `Element`
  Returns `true` when an attribute with a given name is specified on this element or has a default value, `false` otherwise.
  Specified by:
    `hasAttribute` in interface `Element`
  Returns:
    `true` if an attribute with the given name is specified on this element or has a default value, `false` otherwise.

### hasAttributeNS

    public boolean hasAttributeNS(java.lang.String nsURI,
                                  java.lang.String name)

  Deprecated.
  Description copied from interface: `Element`
  Returns `true` when an attribute with a given local name and namespace URI is specified on this element or has a default value, `false` otherwise. HTML-only DOM implementations do not need to implement this method.
  Specified by:
    `hasAttributeNS` in interface `Element`
  Returns:
    `true` if an attribute with the given local name and namespace URI is specified or has a default value on this element, `false` otherwise.

### getChildrenByTagName

    public XDBNodeList getChildrenByTagName(java.lang.String tagName)

  Deprecated.
  get the children node list based on the tag name
  Returns:
    the children node list based on the tag name

### getChildrenByTagNameNS

    public XDBNodeList getChildrenByTagNameNS(java.lang.String tagName,
                                              java.lang.String ns)

  Deprecated.
  get the children node list based on the tag name
  Returns:
    the children node list based on the tag name

### resolveNSPrefix

    public java.lang.String resolveNSPrefix(java.lang.String prefix)

  Deprecated.

### getSchemaTypeInfo

    public TypeInfo getSchemaTypeInfo()

  Deprecated.

### setIdAttribute

    public void setIdAttribute(java.lang.String name,
                               boolean isId)
                        throws DOMException

  Deprecated.
  Throws:
    `DOMException`

### setIdAttributeNS

    public void setIdAttributeNS(java.lang.String namespaceURI,
                                 java.lang.String localName,
                                 boolean isId)
                          throws DOMException

  Deprecated.
  Throws:
    `DOMException`

### setIdAttributeNode

    public void setIdAttributeNode(Attr idAttr,
                                   boolean isId)
                            throws DOMException

  Deprecated.
  Throws:
    `DOMException`

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.